/*
 * DSP_heimradio1.c
 *
 * Created: 16.12.2013 22:05:33
 *  Author: Andreas
 */ 


#include <inttypes.h>                                           // Allgemeine Bibliotheken
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include "inc/i2cmaster.h"

#define Dev24C02  0xA2      // device address of EEPROM 24C02, see datasheet

int main(void)
{
    uint8_t ll, ret, i, j;
        
	DDRB=0xFF;						// Port B auf Ausgang, zunächst alle Bits auf 1
        PORTB=0xFF;
	
//	DDRD=0xFF;						// Port D auf Ausgang, zunächst alle Bits auf 1
//        PORTD=0xFF;

        i2c_init();

        ll=254;
    while(1)	// Endlosschleife
    {
        //TODO:: Please write your application code 
		             // write
             i2c_start(0xA0+I2C_WRITE);                         // set device address and write mode
             i2c_write(ll);                                     // write value
             i2c_stop();                                        // set stop conditon = release bus
        
             // read
             i2c_start(0xA0+I2C_READ);                          // set device address and read mode
             ret = i2c_readNak();                               // read value
             i2c_stop();                                        // set stop conditon = release bus
             
             if (ret!=ll) {				        // Empfangene Daten prüfen
                PORTB=0x00;
                for (;;);
             }

             PORTB=ret;                                         // Empfangene Daten ausgeben
             
             ll=ll*2+1;				                // Lauflicht weiterschalten
             if (ll==255)
               ll=254;
             
             for (i=0;i<255;i++) {				// Warten
                for (j=0;j<255;j++) {
                    asm volatile ("nop");
                }
             }
    }
}